// Funky.h	function key #defines etc
//		all shift-cursor keys are as the unshifted key

#ifndef FUNKY_H			// prevent multiple definitions

#define FUNKY_H

#define	Lkey	75		// Left
#define	CLkey	115		// Ctrl-Left
#define	ALkey	155		// Alt-Left

#define	Rkey	77		// Right
#define	CRkey	116		// Ctrl-Right
#define	ARkey	157		// Alt-Right

#define	Ukey	72		// Up
#define	CUkey	141 		// Ctrl-Up
#define	AUkey	152 		// Alt-Up

#define	Dkey	80		// Down
#define	CDkey	145		// Ctrl-Down
#define	ADkey	160		// Alt-Down

#define	PUkey	73		// PgUp
#define	CPUkey	132		// Ctrl-PgUp
#define	APUkey	153		// Alt-PgUp

#define	PDkey	81		// PgDn
#define	CPDkey	118		// Ctrl-PgDn
#define	APDkey	161		// Alt-PgDn

#define	Hkey	71		// Home
#define	CHkey	119		// Ctrl-Home
#define	AHkey	151		// Alt-Home

#define	Ekey	79		// End
#define	CEkey	117		// Ctrl-End
#define	AEkey	159		// Alt-End

#define	Ikey	82		// Insert
#define	CIkey	146		// Ctrl-Insert
#define	AIkey	162		// Alt-Insert

#define	Dlkey	83		// Delete
#define	CDlkey	147		// Ctrl-Delete
#define	ADlkey	163		// Alt-Delete

#define	STkey	15		// Shift-Tab
#define	CTkey	148		// Ctrl-Tab
#define	ATkey	165		// Alt-Tab

#define	Fkey	58		// F0 : F1-F10 are n more than this
#define	SFkey	83		// Shift-F0 ditto
#define	CFkey	93		// Ctrl-F0 ditto
#define	AFkey	103		// Alt-F0 ditto

#define	F11key	133		// F11
#define	SF11key	135		// Shift-F11
#define	CF11key	137		// Ctrl-F11
#define	AF11key	139		// Alt-F11

#define	F12key	134		// F12
#define	SF12key	136		// Shift-F12
#define	CF12key	138		// Ctrl-F12
#define	AF12key	140		// Alt-F12

#define	C5key	76		// middle of cursor pad 5 key
#define	CC5key	143		// Ctrl-5

#define AltAkey	30		// Alt A
#define AltBkey	48		// Alt B
#define AltCkey	46		// Alt C
#define AltDkey	32		// Alt D
#define AltEkey	18		// Alt E
#define AltFkey	33		// Alt F
#define AltGkey	34		// Alt G
#define AltHkey	35		// Alt H
#define AltIkey	23		// Alt I
#define AltJkey	36		// Alt J
#define AltKkey	37		// Alt K
#define AltLkey	38		// Alt L
#define AltMkey	50		// Alt M
#define AltNkey	49		// Alt N
#define AltOkey	24		// Alt O
#define AltPkey	25		// Alt P
#define AltQkey	16		// Alt Q
#define AltRkey	19		// Alt R
#define AltSkey	31		// Alt S
#define AltTkey	20		// Alt T
#define AltUkey	22		// Alt U
#define AltVkey	47		// Alt V
#define AltWkey	17		// Alt W
#define AltXkey	45		// Alt X
#define AltYkey	21		// Alt Y
#define AltZkey	44		// Alt Z

#define Alt1key	120		// Alt 1
#define Alt2key	121		// Alt 2
#define Alt3key	122		// Alt 3
#define Alt4key	123		// Alt 4
#define Alt5key	124		// Alt 5
#define Alt6key	125		// Alt 6
#define Alt7key	126		// Alt 7
#define Alt8key	127		// Alt 8
#define Alt9key	128		// Alt 9
#define Alt0key	129		// Alt 0

#define Ctl2key	3		// Ctrl 2

#define ARetkey	28		// Alt CR
#define AEntkey	166		// Alt Enter
#define ABSkey	14		// Alt Back Space
#define AMinkey	130		// Alt -_
#define AEqlkey	131		// Alt =+
#define AHshkey	43 		// Alt #~
#define AColkey	39 		// Alt ;:
#define ABkTkey	41 		// Alt ` = Back-Tick
#define ATickey	40 		// Alt ' = Tick
#define AComkey	51 		// Alt ,< = Comma
#define AFuSkey	52 		// Alt .> = Full Stop
#define AQrykey	53 		// Alt /?
#define AOBrkey	26 		// Alt [{ Open Brackets
#define ACBrkey	27 		// Alt ]} Close Brackets
#define ANdikey	164		// Alt / on number pad
#define ANtikey	55 		// Alt * on number pad
#define ANmikey	74 		// Alt - on number pad
#define ANplkey	78 		// Alt + on number pad

#define AESCkey	1		// Alt ESC

#define CNdikey	149		// Ctrl / on number pad
#define CNtikey	150		// Ctrl * on number pad
#define CNmikey	142		// Ctrl - on number pad
#define CNplkey	144		// Ctrl + on number pad

#endif
